Subject: Re: [2.6 patch] arch/powerpc/Kconfig: fix the EMBEDDED6xx dependencies

From: Arnd Bergmann <[email-masked]>
Date: Sun, 29 Jul 2007 21:31:37 +0200

On Saturday 28 July 2007, Adrian Bunk wrote:
> On Mon, Dec 04, 2006 at 02:06:34PM +1100, Paul Mackerras wrote:
> > Adrian Bunk writes:
> > 
> > > This patch changes the EMBEDDED6xx dependencies to the equivalent 
> > > dependency that seems to have been intended.
> > 
> > Nack - CONFIG_EMBEDDED6xx is going away entirely, soon.
> 
> Still there - and still with this strange dependency.

The last time I sent my patch to clean up CONFIG_EMBEDDED6xx and a few
other Kconfig options I still left it intact, but it becomes unnecessary
after that.

I still think that having high-level options like

* embedded6xx
  * MPC7448HPC2
  * holly
  * linkstation
* PPC_83xx
  * MPC8313_RDB
  * MPC832x_MDS
  * MPC832x_RDB

helps keep the platform selection more structured and readable, but the
dependency on !SMP should probably go into the individual platforms that
are actually broken, if any, not into the high-level option.

	Arnd <><